Person Role

The endpoint for Official & Staffer roles (periods of time in a specific office / job).

Retrieve multiple Roles based on search critera passed as GET Arguments

get/newpersonrole/
Securityapi_key and username
Request
query Parameters
current
boolean
district
integer <int64>

NOTE: Parameter accepts additional qualifiers appended to the end:
district__in - The value for the record is in the provided array parameter (comma-separated values).
district__gt, district__gte, district__lt, district__lte - The value for the record is greater than/less than (or equal to) the provided parameter.
district__isnull - The value for the record is null (if true) or is not null.

district_obj_id
integer <int64>

The district with which this personrole is associated.

NOTE: Parameter accepts additional qualifiers appended to the end:
district_obj__in - The value for the record is in the provided array parameter (comma-separated values).
district_obj__isnull - The value for the record is null (if true) or is not null.

electcode
integer <int64>

NOTE: Parameter accepts additional qualifiers appended to the end:
electcode__in - The value for the record is in the provided array parameter (comma-separated values).
electcode__isnull - The value for the record is null (if true) or is not null.

See the Enumeration Documentation CSV file located at Quorum_API_Enumeration_Values.csv, name ElectCode, for an explanation of values.

Enum: 1 2 3 4 5 6 7 8
enddate
string <date-time>

NOTE: Parameter accepts additional qualifiers appended to the end:
enddate__year, enddate__month, enddate__day - The value for the record matches the provided year/month/day (note that week_day, hour, minute, and second are also available following similar patterns).

id
integer <int64>

Quorum ID (Primary Key)

kw_seat_status
string

NOTE: Parameter accepts additional qualifiers appended to the end:
kw_seat_status__in - The value for the record is in the provided array parameter (comma-separated values).
kw_seat_status__contains, kw_seat_status__icontains - The value for the record contains the string provided as a parameter within it (partial match). (Use 'icontains' for matching to be done case-insensitive)
kw_seat_status__startswith, kw_seat_status__istartswith - The value for the record starts with the string provided as a parameter. (Use 'istartswith' for matching to be done case-insensitive)
kw_seat_status__endswith, kw_seat_status__iendswith - The value for the record ends with the string provided as a parameter within it (partial match). (Use 'iendswith' for matching to be done case-insensitive)
kw_seat_status__iexact - The value for the record is a case-insensitive exact match to the provided parameter.
kw_seat_status__isnull - The value for the record is null (if true) or is not null.

kw_seat_status_code
boolean
lastelection
number <decimal>

NOTE: Parameter accepts additional qualifiers appended to the end:
lastelection__in - The value for the record is in the provided array parameter (comma-separated values).
lastelection__gt, lastelection__gte, lastelection__lt, lastelection__lte - The value for the record is greater than/less than (or equal to) the provided parameter.
lastelection__isnull - The value for the record is null (if true) or is not null.

leadership_title
string

NOTE: Parameter accepts additional qualifiers appended to the end:
leadership_title__in - The value for the record is in the provided array parameter (comma-separated values).
leadership_title__contains, leadership_title__icontains - The value for the record contains the string provided as a parameter within it (partial match). (Use 'icontains' for matching to be done case-insensitive)
leadership_title__startswith, leadership_title__istartswith - The value for the record starts with the string provided as a parameter. (Use 'istartswith' for matching to be done case-insensitive)
leadership_title__endswith, leadership_title__iendswith - The value for the record ends with the string provided as a parameter within it (partial match). (Use 'iendswith' for matching to be done case-insensitive)
leadership_title__iexact - The value for the record is a case-insensitive exact match to the provided parameter.
leadership_title__isnull - The value for the record is null (if true) or is not null.

lower_district_obj_id
integer <int64>

The lowerld with which this personrole is associated.

NOTE: Parameter accepts additional qualifiers appended to the end:
lower_district_obj__in - The value for the record is in the provided array parameter (comma-separated values).
lower_district_obj__isnull - The value for the record is null (if true) or is not null.

office
string

NOTE: Parameter accepts additional qualifiers appended to the end:
office__in - The value for the record is in the provided array parameter (comma-separated values).
office__contains, office__icontains - The value for the record contains the string provided as a parameter within it (partial match). (Use 'icontains' for matching to be done case-insensitive)
office__startswith, office__istartswith - The value for the record starts with the string provided as a parameter. (Use 'istartswith' for matching to be done case-insensitive)
office__endswith, office__iendswith - The value for the record ends with the string provided as a parameter within it (partial match). (Use 'iendswith' for matching to be done case-insensitive)
office__iexact - The value for the record is a case-insensitive exact match to the provided parameter.
office__isnull - The value for the record is null (if true) or is not null.

party
integer <int64>

NOTE: Parameter accepts additional qualifiers appended to the end:
party__in - The value for the record is in the provided array parameter (comma-separated values).
party__isnull - The value for the record is null (if true) or is not null.

See the Enumeration Documentation CSV file located at Quorum_API_Enumeration_Values.csv, name Party, for an explanation of values.

Enum: 0 1 2 3 4 5 6 7 8 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24
party_name
string

NOTE: Parameter accepts additional qualifiers appended to the end:
party_name__in - The value for the record is in the provided array parameter (comma-separated values).
party_name__contains, party_name__icontains - The value for the record contains the string provided as a parameter within it (partial match). (Use 'icontains' for matching to be done case-insensitive)
party_name__startswith, party_name__istartswith - The value for the record starts with the string provided as a parameter. (Use 'istartswith' for matching to be done case-insensitive)
party_name__endswith, party_name__iendswith - The value for the record ends with the string provided as a parameter within it (partial match). (Use 'iendswith' for matching to be done case-insensitive)
party_name__iexact - The value for the record is a case-insensitive exact match to the provided parameter.

person_id
integer <int64>

The newperson with which this personrole is associated.

NOTE: Parameter accepts additional qualifiers appended to the end:
person__in - The value for the record is in the provided array parameter (comma-separated values).
person__isnull - The value for the record is null (if true) or is not null.

phone
string

NOTE: Parameter accepts additional qualifiers appended to the end:
phone__in - The value for the record is in the provided array parameter (comma-separated values).
phone__contains, phone__icontains - The value for the record contains the string provided as a parameter within it (partial match). (Use 'icontains' for matching to be done case-insensitive)
phone__startswith, phone__istartswith - The value for the record starts with the string provided as a parameter. (Use 'istartswith' for matching to be done case-insensitive)
phone__endswith, phone__iendswith - The value for the record ends with the string provided as a parameter within it (partial match). (Use 'iendswith' for matching to be done case-insensitive)
phone__iexact - The value for the record is a case-insensitive exact match to the provided parameter.
phone__isnull - The value for the record is null (if true) or is not null.

reelectionyear
integer <int64>

NOTE: Parameter accepts additional qualifiers appended to the end:
reelectionyear__in - The value for the record is in the provided array parameter (comma-separated values).
reelectionyear__gt, reelectionyear__gte, reelectionyear__lt, reelectionyear__lte - The value for the record is greater than/less than (or equal to) the provided parameter.
reelectionyear__isnull - The value for the record is null (if true) or is not null.

region
integer <int64>

NOTE: Parameter accepts additional qualifiers appended to the end:
region__in - The value for the record is in the provided array parameter (comma-separated values).

See the Enumeration Documentation CSV file located at Quorum_API_Enumeration_Values.csv, name Region, for an explanation of values.

Enum: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 200 201 202 203 204 205 206 207 208 209 210 211 212 213 214 215 216 217 218 219 220 221 222 223 224 225 226 227 228 229 230 231 232 233 234 235 236 237 238 239 240 241 242 1000
role_type
integer <int64>

NOTE: Parameter accepts additional qualifiers appended to the end:
role_type__in - The value for the record is in the provided array parameter (comma-separated values).
role_type__isnull - The value for the record is null (if true) or is not null.

See the Enumeration Documentation CSV file located at Quorum_API_Enumeration_Values.csv, name RoleType, for an explanation of values.

Enum: 1 2 5 6 7 8 9 10 11 12 21 22 23 24 25 26 27 28 29 30 38 39 999
senator_class
integer <int64>

NOTE: Parameter accepts additional qualifiers appended to the end:
senator_class__in - The value for the record is in the provided array parameter (comma-separated values).
senator_class__isnull - The value for the record is null (if true) or is not null.

See the Enumeration Documentation CSV file located at Quorum_API_Enumeration_Values.csv, name SenatorClass, for an explanation of values.

Enum: 1 2 3
senator_rank
integer <int64>

NOTE: Parameter accepts additional qualifiers appended to the end:
senator_rank__in - The value for the record is in the provided array parameter (comma-separated values).
senator_rank__isnull - The value for the record is null (if true) or is not null.

See the Enumeration Documentation CSV file located at Quorum_API_Enumeration_Values.csv, name SenatorRank, for an explanation of values.

Enum: 1 2
startdate
string <date-time>

NOTE: Parameter accepts additional qualifiers appended to the end:
startdate__year, startdate__month, startdate__day - The value for the record matches the provided year/month/day (note that week_day, hour, minute, and second are also available following similar patterns).

state
string

NOTE: Parameter accepts additional qualifiers appended to the end:
state__in - The value for the record is in the provided array parameter (comma-separated values).

Enum: "('AK', 'Alaska')" "('AL', 'Alabama')" "('AR', 'Arkansas')" "('AS', 'American Samoa')" "('AZ', 'Arizona')" "('CA', 'California')" "('CO', 'Colorado')" "('CT', 'Connecticut')" "('DC', 'District of Columbia')" "('DE', 'Delaware')" "('DK', 'Dakota Territory')" "('FL', 'Florida')" "('GA', 'Georgia')" "('GU', 'Guam')" "('HI', 'Hawaii')" "('IA', 'Iowa')" "('ID', 'Idaho')" "('IL', 'Illinois')" "('IN', 'Indiana')" "('KS', 'Kansas')" "('KY', 'Kentucky')" "('LA', 'Louisiana')" "('MA', 'Massachusetts')" "('MD', 'Maryland')" "('ME', 'Maine')" "('MI', 'Michigan')" "('MN', 'Minnesota')" "('MO', 'Missouri')" "('MP', 'Northern Mariana Islands')" "('MS', 'Mississippi')" "('MT', 'Montana')" "('NC', 'North Carolina')" "('ND', 'North Dakota')" "('NE', 'Nebraska')" "('NH', 'New Hampshire')" "('NJ', 'New Jersey')" "('NM', 'New Mexico')" "('NV', 'Nevada')" "('NY', 'New York')" "('OH', 'Ohio')" "('OK', 'Oklahoma')" "('OL', 'Territory of Orleans')" "('OR', 'Oregon')" "('PA', 'Pennsylvania')" "('PI', 'Philippines Territory/Commonwealth')" "('PR', 'Puerto Rico')" "('RI', 'Rhode Island')" "('SC', 'South Carolina')" "('SD', 'South Dakota')" "('TN', 'Tennessee')" "('TX', 'Texas')" "('UT', 'Utah')" "('VA', 'Virginia')" "('VI', 'Virgin Islands')" "('VT', 'Vermont')" "('WA', 'Washington')" "('WI', 'Wisconsin')" "('WV', 'West Virginia')" "('WY', 'Wyoming')"
state_obj_id
integer <int64>

The state with which this personrole is associated.

NOTE: Parameter accepts additional qualifiers appended to the end:
state_obj__in - The value for the record is in the provided array parameter (comma-separated values).
state_obj__isnull - The value for the record is null (if true) or is not null.

travelviz_latitude
number <decimal>

NOTE: Parameter accepts additional qualifiers appended to the end:
travelviz_latitude__in - The value for the record is in the provided array parameter (comma-separated values).
travelviz_latitude__gt, travelviz_latitude__gte, travelviz_latitude__lt, travelviz_latitude__lte - The value for the record is greater than/less than (or equal to) the provided parameter.
travelviz_latitude__isnull - The value for the record is null (if true) or is not null.

travelviz_longitude
number <decimal>

NOTE: Parameter accepts additional qualifiers appended to the end:
travelviz_longitude__in - The value for the record is in the provided array parameter (comma-separated values).
travelviz_longitude__gt, travelviz_longitude__gte, travelviz_longitude__lt, travelviz_longitude__lte - The value for the record is greater than/less than (or equal to) the provided parameter.
travelviz_longitude__isnull - The value for the record is null (if true) or is not null.

updated
string <date-time>

NOTE: Parameter accepts additional qualifiers appended to the end:
updated__year, updated__month, updated__day - The value for the record matches the provided year/month/day (note that week_day, hour, minute, and second are also available following similar patterns).

upper_district_obj_id
integer <int64>

The upperld with which this personrole is associated.

NOTE: Parameter accepts additional qualifiers appended to the end:
upper_district_obj__in - The value for the record is in the provided array parameter (comma-separated values).
upper_district_obj__isnull - The value for the record is null (if true) or is not null.

website
string

NOTE: Parameter accepts additional qualifiers appended to the end:
website__in - The value for the record is in the provided array parameter (comma-separated values).
website__contains, website__icontains - The value for the record contains the string provided as a parameter within it (partial match). (Use 'icontains' for matching to be done case-insensitive)
website__startswith, website__istartswith - The value for the record starts with the string provided as a parameter. (Use 'istartswith' for matching to be done case-insensitive)
website__endswith, website__iendswith - The value for the record ends with the string provided as a parameter within it (partial match). (Use 'iendswith' for matching to be done case-insensitive)
website__iexact - The value for the record is a case-insensitive exact match to the provided parameter.
website__isnull - The value for the record is null (if true) or is not null.

dehydrate
Array of strings

Option to provide additional detail for certain fields, either by expanding those fields with additional details from the related model or by substituting more informative values for the actual database values.
reelectionyear - expand reelectionyear with additional details.
resource_uri - expand resource_uri with additional details.
NOTE: This parameter can accept one or more comma-separated values; it is not limited to a single value.

Items Enum: "reelectionyear" "resource_uri"
limit
integer <int64>
Default: 20

The number of records to return (for pagination).

offset
integer <int64>
Default: 0

The number of records to offset the start of the data being returned (for pagination).

Responses
200

NewPersonRole retrieved successfully

400

improperly configured request

401

authorization failure

500

internal server error

Response samples
application/json
{
  • "_extra": { },
  • "_ph_intrado_last_updated": "2019-08-24T14:15:22Z",
  • "_ph_kw_position_id": 0,
  • "_ph_lc_position_id": 0,
  • "_ph_ls_state_legislator_staff_history_id": 0,
  • "_ph_nominated_date": "2019-08-24T14:15:22Z",
  • "_ph_nomination_confirmed_date": "2019-08-24T14:15:22Z",
  • "_ph_public_organization_desc": "string",
  • "_ph_region_represented": "string",
  • "_ph_term_number": 0,
  • "adascore": 0,
  • "address": "string",
  • "aflscore": 0,
  • "appointed_by_type": 1,
  • "assumed_office_date": "2019-08-24T14:15:22Z",
  • "candidate_status": 1,
  • "ccusscore": 0,
  • "cfgscore": 0,
  • "comstaffertype": 1,
  • "created": "2019-08-24T14:15:22Z",
  • "current": false,
  • "district": 0,
  • "district_char": "string",
  • "district_obj": "/api/district/1/",
  • "editorial_precedence": 0,
  • "electcode": 1,
  • "election_group_id": "string",
  • "election_type": 1,
  • "enddate": "2019-08-24T14:15:22Z",
  • "fec_id": "string",
  • "first_election_date": "2019-08-24T14:15:22Z",
  • "id": 0,
  • "incumbent": false,
  • "intrado_preferred_distribution_mode": 1,
  • "intrado_tags": [
    ],
  • "is_primary_from_source": false,
  • "lastelection": 0,
  • "leadership_title": "string",
  • "lower_district_obj": "/api/lowerld/1/",
  • "major_person_type": 1,
  • "minor_person_type": 1,
  • "office": "string",
  • "office_building": "string",
  • "office_city": "string",
  • "office_country": "string",
  • "office_room": "string",
  • "office_state": "string",
  • "office_street1": "string",
  • "office_street2": "string",
  • "office_zipcode": "string",
  • "party": 0,
  • "party_name": "string",
  • "pay_scale_type": 1,
  • "person_id": "/api/newperson/1/",
  • "phone": "string",
  • "reelectionyear": 0,
  • "region": 1,
  • "role_type": 1,
  • "senator_class": 1,
  • "senator_rank": 1,
  • "startdate": "2019-08-24T14:15:22Z",
  • "state": "('AK', 'Alaska')",
  • "state_obj": "/api/state/1/",
  • "updated": "2019-08-24T14:15:22Z",
  • "upper_district_obj": "/api/upperld/1/",
  • "website": "string"
}

Retrieve information on a single Role

get/newpersonrole/{id}/
Securityapi_key and username
Request
path Parameters
id
required
integer <int64>

Quorum ID (Primary Key)

query Parameters
dehydrate
Array of strings

Option to provide additional detail for certain fields, either by expanding those fields with additional details from the related model or by substituting more informative values for the actual database values.
reelectionyear - expand reelectionyear with additional details.
resource_uri - expand resource_uri with additional details.
NOTE: This parameter can accept one or more comma-separated values; it is not limited to a single value.

Items Enum: "reelectionyear" "resource_uri"
Responses
200

NewPersonRole retrieved successfully

400

improperly configured request

401

authorization failure

500

internal server error

Response samples
application/json
{
  • "_extra": { },
  • "_ph_intrado_last_updated": "2019-08-24T14:15:22Z",
  • "_ph_kw_position_id": 0,
  • "_ph_lc_position_id": 0,
  • "_ph_ls_state_legislator_staff_history_id": 0,
  • "_ph_nominated_date": "2019-08-24T14:15:22Z",
  • "_ph_nomination_confirmed_date": "2019-08-24T14:15:22Z",
  • "_ph_public_organization_desc": "string",
  • "_ph_region_represented": "string",
  • "_ph_term_number": 0,
  • "adascore": 0,
  • "address": "string",
  • "aflscore": 0,
  • "appointed_by_type": 1,
  • "assumed_office_date": "2019-08-24T14:15:22Z",
  • "candidate_status": 1,
  • "ccusscore": 0,
  • "cfgscore": 0,
  • "comstaffertype": 1,
  • "created": "2019-08-24T14:15:22Z",
  • "current": false,
  • "district": 0,
  • "district_char": "string",
  • "district_obj": "/api/district/1/",
  • "editorial_precedence": 0,
  • "electcode": 1,
  • "election_group_id": "string",
  • "election_type": 1,
  • "enddate": "2019-08-24T14:15:22Z",
  • "fec_id": "string",
  • "first_election_date": "2019-08-24T14:15:22Z",
  • "id": 0,
  • "incumbent": false,
  • "intrado_preferred_distribution_mode": 1,
  • "intrado_tags": [
    ],
  • "is_primary_from_source": false,
  • "lastelection": 0,
  • "leadership_title": "string",
  • "lower_district_obj": "/api/lowerld/1/",
  • "major_person_type": 1,
  • "minor_person_type": 1,
  • "office": "string",
  • "office_building": "string",
  • "office_city": "string",
  • "office_country": "string",
  • "office_room": "string",
  • "office_state": "string",
  • "office_street1": "string",
  • "office_street2": "string",
  • "office_zipcode": "string",
  • "party": 0,
  • "party_name": "string",
  • "pay_scale_type": 1,
  • "person_id": "/api/newperson/1/",
  • "phone": "string",
  • "reelectionyear": 0,
  • "region": 1,
  • "role_type": 1,
  • "senator_class": 1,
  • "senator_rank": 1,
  • "startdate": "2019-08-24T14:15:22Z",
  • "state": "('AK', 'Alaska')",
  • "state_obj": "/api/state/1/",
  • "updated": "2019-08-24T14:15:22Z",
  • "upper_district_obj": "/api/upperld/1/",
  • "website": "string"
}